"use strict";

exports.__esModule = true;
exports["default"] = SimpleTabs;

var _react = _interopRequireDefault(require("react"));

var _styles = require("@material-ui/core/styles");

var _Tabs = _interopRequireDefault(require("@material-ui/core/Tabs"));

var _Tab = _interopRequireDefault(require("@material-ui/core/Tab"));

var _Paper = _interopRequireDefault(require("@material-ui/core/Paper"));

var _jsxFileName = "/var/apps/ah-form-builder/src/utils/Tabs/SimpleTabs.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var useStyles = (0, _styles.makeStyles)(function (theme) {
  return {
    root: {
      flexGrow: 1,
      backgroundColor: theme.palette.background.paper
    }
  };
});

function SimpleTabs(props) {
  var _this = this;

  var value = props.value,
      handleChange = props.handleChange,
      options = props.options;
  var classes = useStyles();
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: classes.root,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 19,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react["default"].createElement(_Paper["default"], {
    square: true,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 20,
      columnNumber: 7
    }
  }, /*#__PURE__*/_react["default"].createElement(_Tabs["default"], {
    variant: "fullWidth",
    value: value,
    indicatorColor: "primary",
    textColor: "primary",
    onChange: handleChange,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 21,
      columnNumber: 9
    }
  }, options.map(function (option) {
    return /*#__PURE__*/_react["default"].createElement(_Tab["default"], {
      key: "tab-" + option.value,
      value: option.value,
      label: option.label,
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 29,
        columnNumber: 13
      }
    });
  }))));
}

module.exports = exports.default;